Try using bash on Windows since Kokoro offers it.

Change-Id: I8316a43a724bf130c3b3d4eefea427bf1ee41d4b
Reviewed-on: https://code-review.googlesource.com/c/37910
Reviewed-by: Paul Wankadia <junyer@google.com>
diff --git a/kokoro/windows-bazel.bat b/kokoro/windows-bazel.bat
index 9ac3d5b..7a7cefe 100755
--- a/kokoro/windows-bazel.bat
+++ b/kokoro/windows-bazel.bat
@@ -1,30 +1,2 @@
-CD git/re2 ^
-  || EXIT /B 1
-
-bazel clean ^
-  || EXIT /B 1
-bazel build --compilation_mode=dbg -- //... ^
-  || EXIT /B 1
-bazel test  --compilation_mode=dbg --test_output=errors -- //... ^
-  -//:dfa_test ^
-  -//:exhaustive1_test ^
-  -//:exhaustive2_test ^
-  -//:exhaustive3_test ^
-  -//:exhaustive_test ^
-  -//:random_test ^
-  || EXIT /B 1
-
-bazel clean ^
-  || EXIT /B 1
-bazel build --compilation_mode=opt -- //... ^
-  || EXIT /B 1
-bazel test  --compilation_mode=opt --test_output=errors -- //... ^
-  -//:dfa_test ^
-  -//:exhaustive1_test ^
-  -//:exhaustive2_test ^
-  -//:exhaustive3_test ^
-  -//:exhaustive_test ^
-  -//:random_test ^
-  || EXIT /B 1
-
-EXIT /B 0
+bash git/re2/kokoro/windows-bazel.sh
+EXIT /B %ERRORLEVEL%
diff --git a/kokoro/windows-bazel.sh b/kokoro/windows-bazel.sh
new file mode 100755
index 0000000..6f25982
--- /dev/null
+++ b/kokoro/windows-bazel.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -eux
+
+cd git/re2
+
+bazel clean
+bazel build --compilation_mode=dbg -- //...
+bazel test  --compilation_mode=dbg --test_output=errors -- //... \
+  -//:dfa_test \
+  -//:exhaustive1_test \
+  -//:exhaustive2_test \
+  -//:exhaustive3_test \
+  -//:exhaustive_test \
+  -//:random_test
+
+bazel clean
+bazel build --compilation_mode=opt -- //...
+bazel test  --compilation_mode=opt --test_output=errors -- //... \
+  -//:dfa_test \
+  -//:exhaustive1_test \
+  -//:exhaustive2_test \
+  -//:exhaustive3_test \
+  -//:exhaustive_test \
+  -//:random_test
+
+exit 0